/*******************************************************************
********************************************************************
********************************************************************
************                                            ************
************             eXifViewer_Fin.js              ************
************                                            ************
************                2022. 4. 17.                ************
************                                            ************
************           Designed by ddamddon             ************
************                                            ************
************     https://ddamddon.tistory.com/11544     ************
************                                            ************
************                                            ************
********************************************************************
********************************************************************
*******************************************************************/



/* 지금 보는 문장이 주석 처리된 곳입니다. */
/* 주석처리를 해제하려면 문장을 감싸고 있는 슬래시와 별표를 지우면 됩니다. */


/* EXIF 뷰어 = 블로그에 출력되는 메타데이터를 보여주는 레이어를 지칭합니다. */


/* 특정 사진의 EXIF data를 블라인드 처리하려면 티스토리 편집기 화면에서, */
/* 글쓰기 모드를 HTNL 모드로 변경 - 해당 사진을 <div class="noExif"></div> 태그로 감싸주면 됩니다. */


/***************   예시   *****************

  <div class="noExif">
    <p>[##..../.img data=''....##]</p>
  </div> 
  
******************************************/



let inum, eimgs, model, lens, mode, meter, iso, flength, fleqv, fnum, exp, exp0, exp1, exp2, exp3, expb, flash, dates, soft, artist, copyright, exif_data;

// 사용자 설정

// EXIF 뷰어 스타일 || basic - 인라인 | popup - 팝업
const vMode = "basic";

// EXIF 정보가 없는 사진일 경우 출력 문구 || 이미지 태그는 팝업 모드일 때만 사용하세요.
const noExif = "This photo has no EXIF data.";
/*const noExif = "<img src='https://t1.daumcdn.net/keditor/emoticon/friends1/large/024.gif' style='width:108px; height:auto; margin-bottom:10px !important'>";*/

// 블라인드 처리된 사진에 대한 출력 문구
const bExif = "The EXIF data in this photo has been blinded.";
/*const bExif = "<img src='https://t1.daumcdn.net/keditor/emoticon/friends1/large/037.gif' style='width:108px; height:auto; margin-bottom:10px !important'>"*/

// 팝업 뷰어 상단 헤드라인
const hExif = "E X I F &nbsp; V I E W E R";

// 인라인 뷰어의 글자색 || c1 - Black | c2 - White
let basicC = "c1";

// 인라인 뷰어 박스 형태로 만들기 || b1 - no | b2 - yes
let basicB = "b1";

// 팝업 뷰어의 컬러셋 지정 || t1 - Black | t2 - White
let popC = "t2";

// 팝업 뷰어의 상단 헤드라인 츨력 옵션 || s1 - show || s2 - hidden
let popS = "s1";

// EXIF 데이터가 없거나 블라인드 처리된 사진일 경우 팝업 뷰어 출력 옵션 || k1 - show || k2 - hidden
let popK = "k1";

// 카메라 및 렌즈란에서 글 줄임 기능 || yes | no
let elli = "yes";

// 글 줄임 기능 || 자를 문자열 수
let elli_opt = "28";

// 팝업 뷰어의 항목 제목을 아이콘 폰트로 바꾸려면 || yes or no
let icon = "no";

// EXIF 항목 선택 옵션 || 각 항목 두번째 인자 option의 값을 변경하되 숫자값이어야 함 || 0 - OFF | 1 - ON
const  elists = [
  {elist: "Model", option: 1}, // 카메라 모델 || 이 항목이 OFF 이면 팝업 모드 + 환산 화각 출력시 오류가 생깁니다.
  {elist: "Lens", option: 1}, // 렌즈 모델
  {elist: "Mode", option: 1}, // 촬영모드
  {elist: "Meter", option: 1}, // 측광모드
  {elist: "ISO", option: 1}, // 감도
  {elist: "Focal", option: 1}, // 초점길이
  {elist: "Fnum", option: 1}, // 조리개 수치
  {elist: "Shutter", option: 1}, // 셔터스피드
  {elist: "EV", option: 1}, // 노출보정
  {elist: "Flash", option: 1}, // 플래시
  {elist: "Date", option: 1}, // 촬영날짜
  {elist: "Software", option: 0}, // 소프트웨어
  {elist: "Artist", option: 0}, // 예술가
  {elist: "Copyright", option: 0} // 저작권
];

// 팝업 뷰어일 때, 하단 좌측에 표시되는 각 항목의 제목
const tlists = [
   {tlist: "카메라", icon: "<i class='icon-camera'></i>"},
   {tlist: "렌즈", icon: "<i class='icon-lens'></i>"},
   {tlist: "촬영모드", icon: "<i class='icon-mode'></i>"},
   {tlist: "측광모드", icon: "<i class='icon-meter'></i>"},
   {tlist: "감도", icon: "<i class='icon-iso'></i>"},
   {tlist: "초점거리", icon: "<i class='icon-flength'></i>"},
   {tlist: "조리개", icon: "<i class='icon-aperture'></i>"},
   {tlist: "셔터스피드", icon: "<i class='icon-speed'></i>"},
   {tlist: "노출보정", icon: "<i class='icon-ev'></i>"},
   {tlist: "플래시", icon: "<i class='icon-flash'></i>"},
   {tlist: "촬영날짜", icon: "<i class='icon-clock'></i>"},
   {tlist: "소프트웨어", icon: "<i class='icon-software'></i>"},
   {tlist: "예술가", icon: "<i class='icon-artist'></i>"},
   {tlist: "저작권", icon: "<i class='icon-copyright'></i>"}
];

// 위의 내용과 따라가는 부분
const slists = [
  {slist: "필름", icon: "<i class='icon-film'></i>"},
  {slist: "135 환산", icon: "<i class='icon-flength'></i>"}
];

// 출력되는 카메라 이름을 바꾸고 싶을 때 주석 표시( 슬래시 별 별 슬래시 ) 지우고 수정하세요.
// 키워드에 해당하는 첫번째 인자는 반드시 소문자로 입력하세요. (오타를 없애기 위함입니다.)
// 아래 첫번째 예시는, f80exr이라는 문자열을 가지는 모델명을 찾아서
// FUJIFILM FinePix F80EXR로 바꾸어 출력하는 예시입니다
// 사진에 기록된 EXIF 데이터는 FinePix F80EXR 입니다.
// 항목의 첫번째 인자는 소문자로 입력, 마지막 항목은 쉼표가 없어야 됩니다.
let cModel = [];
/*cModel = [
  ["f80exr", "FUJIFILM FinePix F80EXR"],
  ["ilce-7m2", "SONY A7M2"],
  ["lgm-v300k", "亡G V30"]
];*/

// 35mm 풀 프레임 외의 다른 기종을 등록하면 환산 화각을 보여줍니다. || 환산 화각 참조 - https://ddamddon.tistory.com/11858
// 첫번째 인자는 반드시 소문자로 입력하세요.
// 카메라 모델명 x Crop Factor
let cropM = [];
/*cropM = [
  ["g5 x", "2.72"],
  ["v30", "7.42"],
  ["gfx100s", "0.79"]
];*/

// 필름 카메라를 등록하면 감도 항목에 필름명을 보여줍니다. || 단, 사진 EXIF의 Artist 항목에 필름명이 기록되어 있어야 합니다.
// 반드시 소문자로 입력하세요.
let filmM = [];
/*filmM = [
  "f6",
  "fm2"
];*/

const _0x5ded03=_0xd3c6;(function(_0x5c81d8,_0x21097c){const _0x437a07=_0xd3c6,_0x5d6bf8=_0x5c81d8();while(!![]){try{const _0x197ec9=-parseInt(_0x437a07(0x1db))/0x1+parseInt(_0x437a07(0x1de))/0x2*(parseInt(_0x437a07(0x1fc))/0x3)+parseInt(_0x437a07(0x256))/0x4+parseInt(_0x437a07(0x23f))/0x5+parseInt(_0x437a07(0x22f))/0x6*(-parseInt(_0x437a07(0x1da))/0x7)+-parseInt(_0x437a07(0x23a))/0x8+-parseInt(_0x437a07(0x222))/0x9;if(_0x197ec9===_0x21097c)break;else _0x5d6bf8['push'](_0x5d6bf8['shift']());}catch(_0x5d8ca6){_0x5d6bf8['push'](_0x5d6bf8['shift']());}}}(_0x39d5,0x65856));function getExif(){const _0x42cd3f=_0xd3c6;inum=0x1;let _0x29f658=[],_0x4e0d0f,_0x3df106;elists[_0x42cd3f(0x1c9)](function(_0x20eea8){const _0x27ca90=_0x42cd3f;_0x20eea8['option']===0x1&&(_0x4e0d0f=elists[_0x27ca90(0x21b)](_0x20eea8),_0x4e0d0f=_0x4e0d0f,_0x29f658[_0x27ca90(0x226)](_0x4e0d0f));});if(document[_0x42cd3f(0x1f1)](_0x42cd3f(0x1c4))['length']>0x0){const _0x13b6ad=document['querySelectorAll'](_0x42cd3f(0x21a));_0x13b6ad['forEach'](function(_0x2c8a18){const _0x40bb31=_0x42cd3f;_0x2c8a18[_0x40bb31(0x1f4)]['add'](_0x40bb31(0x22c)),_0x2c8a18[_0x40bb31(0x1f8)][_0x40bb31(0x1f4)]['add']('blinded');if(popK=='k2'&&_0x2c8a18[_0x40bb31(0x1f8)][_0x40bb31(0x206)]==_0x40bb31(0x245))_0x2c8a18['parentNode'][_0x40bb31(0x212)][_0x40bb31(0x1f4)][_0x40bb31(0x205)](_0x40bb31(0x1e0));else popK=='k2'&&_0x2c8a18[_0x40bb31(0x1f8)][_0x40bb31(0x206)]=='FIGURE'&&_0x2c8a18[_0x40bb31(0x1f8)][_0x40bb31(0x1ca)][_0x40bb31(0x1f4)][_0x40bb31(0x205)](_0x40bb31(0x1e0));});}const _0x5224e7=document[_0x42cd3f(0x1f1)](_0x42cd3f(0x23e));_0x5224e7[_0x42cd3f(0x1c9)](function(_0x26de7a){const _0x168cc0=_0x42cd3f;_0x26de7a[_0x168cc0(0x1f8)][_0x168cc0(0x1f4)][_0x168cc0(0x205)](_0x168cc0(0x1c7));if(vMode==_0x168cc0(0x209))_0x26de7a[_0x168cc0(0x1f4)]['add'](_0x168cc0(0x234));else vMode==_0x168cc0(0x213)&&_0x26de7a[_0x168cc0(0x1f4)][_0x168cc0(0x205)](_0x168cc0(0x218));});let _0x5b62c2=document['querySelectorAll']('.imageslideblock');if(_0x5b62c2[_0x42cd3f(0x249)]==0x1)document['querySelector'](_0x42cd3f(0x216))['id']=_0x42cd3f(0x1d5);else _0x5b62c2[_0x42cd3f(0x249)]>0x1&&_0x5b62c2[_0x42cd3f(0x1c9)](function(_0x12dd60,_0x195f34){const _0x43d4be=_0x42cd3f;var _0x4670c6=_0x43d4be(0x1f3)+_0x195f34;_0x12dd60['id']=_0x4670c6;});let _0x3f82ae;if(document[_0x42cd3f(0x1f1)](_0x42cd3f(0x216))['length']>0x0)_0x3f82ae=document[_0x42cd3f(0x1f1)](_0x42cd3f(0x228));else document[_0x42cd3f(0x1f1)](_0x42cd3f(0x216))[_0x42cd3f(0x249)]==0x0&&(_0x3f82ae=document[_0x42cd3f(0x1f1)](_0x42cd3f(0x1ce)));_0x3f82ae[_0x42cd3f(0x1c9)](function(_0xf60688,_0x4dea9d){const _0x1e9c6d=_0x42cd3f;_0xf60688[_0x1e9c6d(0x1f6)]('id','img'+inum),_0xf60688[_0x1e9c6d(0x1f8)][_0x1e9c6d(0x1f6)]('id',_0x1e9c6d(0x24a)+inum),eimgs=document['getElementById'](_0x1e9c6d(0x20d)+inum),EXIF[_0x1e9c6d(0x1ed)](eimgs,function(){const _0x5b01e8=_0x1e9c6d;if(_0xf60688[_0x5b01e8(0x24f)](_0x5b01e8(0x1f2))==_0x5b01e8(0x22c)){if(vMode==_0x5b01e8(0x209)){_0xf60688['parentNode'][_0x5b01e8(0x20a)](_0x5b01e8(0x1cd),_0x5b01e8(0x1c6)+basicB+'\x20'+basicC+_0x5b01e8(0x1fb)+bExif+'</div>');popK=='k2'&&_0xf60688[_0x5b01e8(0x1f8)]['classList'][_0x5b01e8(0x205)](_0x5b01e8(0x21d));if(popK=='k2'&&_0xf60688['parentNode']['tagName']=='SPAN')_0xf60688['parentNode'][_0x5b01e8(0x212)][_0x5b01e8(0x1f4)][_0x5b01e8(0x205)]('kill');else popK=='k2'&&_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x206)]==_0x5b01e8(0x1dc)&&_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x1ca)][_0x5b01e8(0x1f4)]['add'](_0x5b01e8(0x1e0));}else{if(vMode==_0x5b01e8(0x213)){let _0x1e43d5;if(popK=='k1')_0x1e43d5='';else popK=='k2'&&(_0x1e43d5=_0x5b01e8(0x1fe));if(popS=='s1')_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x20a)](_0x5b01e8(0x232),_0x5b01e8(0x254)+_0x1e43d5+popC+_0x5b01e8(0x253)+popS+_0x5b01e8(0x1d2)+hExif+_0x5b01e8(0x1f7)+bExif+_0x5b01e8(0x22b));else popS=='s2'&&_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x20a)](_0x5b01e8(0x232),'<div\x20class=\x27exif_outer\x20popup\x20blind\x20'+_0x1e43d5+popC+_0x5b01e8(0x253)+popS+_0x5b01e8(0x1d6)+bExif+'</td></tr></tboby></table></div>');}}return;}model=EXIF[_0x5b01e8(0x20e)](this,_0x5b01e8(0x1dd));model==undefined&&(model='-');lens=EXIF['getTag'](this,_0x5b01e8(0x250)),lens==undefined?lens='-':elli==_0x5b01e8(0x217)&&lens['length']>Number(elli_opt)?lens=lens[_0x5b01e8(0x1e7)](0x0,elli_opt)+'..':lens=lens,mode=EXIF[_0x5b01e8(0x20e)](this,_0x5b01e8(0x23b));(mode==undefined||mode['toLowerCase']()['indexOf']('not')!=-0x1||mode[_0x5b01e8(0x1fa)]()[_0x5b01e8(0x21b)](_0x5b01e8(0x236))!=-0x1||mode['toLowerCase']()[_0x5b01e8(0x21b)](_0x5b01e8(0x1eb))!=-0x1)&&(mode='-');meter=EXIF[_0x5b01e8(0x20e)](this,_0x5b01e8(0x200));meter==undefined||meter[_0x5b01e8(0x1fa)]()[_0x5b01e8(0x21b)]('not')!=-0x1||meter['toLowerCase']()[_0x5b01e8(0x21b)]('undefined')!=-0x1||meter['toLowerCase']()['indexOf'](_0x5b01e8(0x1eb))!=-0x1?meter='-':meter[_0x5b01e8(0x21b)](_0x5b01e8(0x219))!=-0x1&&(meter=_0x5b01e8(0x219));iso=EXIF[_0x5b01e8(0x20e)](this,_0x5b01e8(0x1d0));iso==undefined||iso==NaN?iso='-':(iso=String(iso),vMode==_0x5b01e8(0x209)?iso='ISO\x20'+iso:iso=iso);flength=EXIF[_0x5b01e8(0x20e)](this,'FocalLength'),flength==undefined||flength==NaN?flength='-':flength=flength['toFixed'](0x1),fnum=EXIF[_0x5b01e8(0x20e)](this,'FNumber'),fnum==undefined||fnum==NaN?fnum='-':fnum='F'+fnum,exp0=EXIF[_0x5b01e8(0x20e)](this,_0x5b01e8(0x229));exp0==undefined?exp='-':(exp1=exp0[_0x5b01e8(0x1ee)],exp2=exp0[_0x5b01e8(0x201)],exp3=exp2/exp1,exp0<0x1?exp='1/'+exp3[_0x5b01e8(0x255)](0x0)+'s':exp=exp0[_0x5b01e8(0x255)](0x1)+'s');expb=EXIF[_0x5b01e8(0x20e)](this,'ExposureBias'),expb==undefined||expb==NaN?expb='-':expb=expb[_0x5b01e8(0x255)](0x1)+'ev',flash=EXIF['getTag'](this,_0x5b01e8(0x1ec));flash==undefined||flash==NaN?flash='-':flash[_0x5b01e8(0x1fa)]()[_0x5b01e8(0x21b)]('did\x20not\x20fire')!=-0x1?flash=_0x5b01e8(0x230):flash[_0x5b01e8(0x1fa)]()[_0x5b01e8(0x21b)](_0x5b01e8(0x243))!=-0x1?flash=_0x5b01e8(0x24c):flash=flash;dates=EXIF[_0x5b01e8(0x20e)](this,_0x5b01e8(0x1f0));dates==undefined||dates==null?dates='-':(dates=dates[_0x5b01e8(0x1e7)](0x0,0xa),dates=dates[_0x5b01e8(0x202)](':','.\x20')+'.');copyright=EXIF['getTag'](this,_0x5b01e8(0x1d4));copyright==undefined&&(copyright='-');artist=EXIF['getTag'](this,_0x5b01e8(0x231));artist==undefined&&(artist='-');soft=EXIF[_0x5b01e8(0x20e)](this,'Software');soft==undefined&&(soft='-');cropM[_0x5b01e8(0x249)]>0x0&&lens=='-'&&copyright['indexOf'](_0x5b01e8(0x1d3))!=-0x1&&(lens=copyright);let _0x811f03,_0x5c073a,_0x47f78e;_0x47f78e=_0x5b01e8(0x252);if(cropM[_0x5b01e8(0x249)]>0x0&&flength!='-'){flength=Number(flength);let _0x39a1f4=model[_0x5b01e8(0x1fa)]();for(let _0x2a5556=0x0;_0x2a5556<cropM[_0x5b01e8(0x249)];_0x2a5556++){let _0x307c8c=cropM[_0x2a5556][0x0];_0x39a1f4[_0x5b01e8(0x207)](_0x307c8c)==_0x307c8c&&(_0x5c073a=cropM[_0x2a5556][0x1],_0x5c073a=Number(_0x5c073a),_0x47f78e='crop');}_0x811f03=flength*_0x5c073a,_0x811f03=_0x811f03[_0x5b01e8(0x255)](0x0);}if(filmM[_0x5b01e8(0x249)]>0x0&&_0x47f78e!=_0x5b01e8(0x203)&&_0x47f78e==_0x5b01e8(0x252)){let _0x3e65c8=model[_0x5b01e8(0x1fa)]();for(let _0x1803ed=0x0;_0x1803ed<filmM[_0x5b01e8(0x249)];_0x1803ed++){let _0x1aebdc=filmM[_0x1803ed];_0x3e65c8[_0x5b01e8(0x207)](_0x1aebdc)==_0x1aebdc&&(_0x47f78e=_0x5b01e8(0x1c5));}}typeof _0x811f03==_0x5b01e8(0x236)||_0x811f03==_0x5b01e8(0x21c)?_0x811f03='-':vMode==_0x5b01e8(0x209)&&_0x811f03!='-'?_0x811f03='135\x20Equiv\x20=\x20'+_0x811f03+'mm':vMode==_0x5b01e8(0x213)&&_0x811f03!='-'&&icon==_0x5b01e8(0x217)?_0x811f03=_0x5b01e8(0x1fd)+_0x811f03+'mm':_0x811f03=_0x811f03+'mm';if(cModel[_0x5b01e8(0x249)]>0x0){let _0x3eb23b=model[_0x5b01e8(0x1fa)]();for(let _0x3d809c=0x0;_0x3d809c<cModel[_0x5b01e8(0x249)];_0x3d809c++){let _0x265cbe=cModel[_0x3d809c][0x0];_0x3eb23b['match'](_0x265cbe)==_0x265cbe&&(model=cModel[_0x3d809c][0x1]);}}let _0x530a2f,_0x19ba51,_0xbe29c8='t0'+_0xf60688['id'],_0x10cda9='t1'+_0xf60688['id'],_0xb8d28a='t2'+_0xf60688['id'];if(vMode==_0x5b01e8(0x209)){if(_0x5b62c2[_0x5b01e8(0x249)]>0x0&&_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x1f8)][_0x5b01e8(0x206)]==_0x5b01e8(0x215)){var _0x2b3ac6=_0xf60688[_0x5b01e8(0x1f8)]['parentNode'][_0x5b01e8(0x1f8)]['id'];_0x2b3ac6='#'+_0x2b3ac6+_0x5b01e8(0x1f5),document[_0x5b01e8(0x1d1)](_0x2b3ac6)[_0x5b01e8(0x20a)]('beforeend',_0x5b01e8(0x20c)+_0xbe29c8+_0x5b01e8(0x1ea)+basicB+'\x20'+basicC+_0x5b01e8(0x23d));}else _0xf60688['parentNode']['insertAdjacentHTML']('afterend',_0x5b01e8(0x20c)+_0xbe29c8+_0x5b01e8(0x1ea)+basicB+'\x20'+basicC+_0x5b01e8(0x238));_0x29f658[_0x5b01e8(0x1c9)](function(_0x480b8b){const _0x1c38cd=_0x5b01e8;if(_0x480b8b==0x0)_0x530a2f=model;else{if(_0x480b8b==0x1)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+lens;else{if(_0x480b8b==0x2)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+mode;else{if(_0x480b8b==0x3)_0x530a2f=_0x530a2f+'<span>\x20|\x20</span>'+meter;else{if(_0x480b8b==0x4)_0x47f78e==_0x1c38cd(0x1c5)?_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+artist:_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+iso;else{if(_0x480b8b==0x5)flength!='-'?_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+flength+'mm':_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+flength,_0x47f78e=='crop'&&fnum!='-'&&(_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+_0x811f03);else{if(_0x480b8b==0x6)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+fnum;else{if(_0x480b8b==0x7)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+exp;else{if(_0x480b8b==0x8)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+expb;else{if(_0x480b8b==0x9)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+flash;else{if(_0x480b8b==0xa)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+dates;else{if(_0x480b8b==0xb)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+soft;else{if(_0x480b8b==0xc)_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+artist;else _0x480b8b==0xd&&(_0x530a2f=_0x530a2f+_0x1c38cd(0x20f)+copyright);}}}}}}}}}}}}}),_0x530a2f[_0x5b01e8(0x249)]/_0x29f658[_0x5b01e8(0x249)]<0x10?(document[_0x5b01e8(0x248)](_0xbe29c8)['innerHTML']='',document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x251)]=noExif,_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x1f8)][_0x5b01e8(0x206)]==_0x5b01e8(0x215)?document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x1f4)][_0x5b01e8(0x205)]('non'):document['getElementById'](_0xbe29c8)[_0x5b01e8(0x1f8)][_0x5b01e8(0x1f4)]['add'](_0x5b01e8(0x223)),popK=='k2'&&(_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x1f8)][_0x5b01e8(0x206)]==_0x5b01e8(0x215)?document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x1f4)][_0x5b01e8(0x205)](_0x5b01e8(0x1e0)):document[_0x5b01e8(0x248)](_0xbe29c8)['parentNode']['classList'][_0x5b01e8(0x205)](_0x5b01e8(0x1e0)))):(document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x1f8)][_0x5b01e8(0x1f4)][_0x5b01e8(0x205)]('exg'),_0x530a2f['indexOf'](_0x5b01e8(0x1df))!=-0x1&&(_0x530a2f=_0x530a2f[_0x5b01e8(0x1f9)]('undefined<span>\x20|\x20</span>','')),document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x251)]=_0x530a2f);}else{if(vMode==_0x5b01e8(0x213)){if(_0x5b62c2[_0x5b01e8(0x249)]>0x0&&_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x1f8)][_0x5b01e8(0x206)]==_0x5b01e8(0x215)){var _0x2b3ac6=_0xf60688['parentNode'][_0x5b01e8(0x1f8)][_0x5b01e8(0x1f8)]['id'];_0x2b3ac6='#'+_0x2b3ac6+'\x20.mark';if(popS=='s1')document[_0x5b01e8(0x1d1)](_0x2b3ac6)[_0x5b01e8(0x20a)]('afterbegin','<div\x20class=\x27exif_outer\x20popup\x20'+popC+_0x5b01e8(0x1c8)+_0xbe29c8+_0x5b01e8(0x22e)+popS+_0x5b01e8(0x1d2)+hExif+_0x5b01e8(0x204)+_0x10cda9+'\x27></td><td\x20id=\x27'+_0xb8d28a+_0x5b01e8(0x225));else popS=='s2'&&document['querySelector'](_0x2b3ac6)[_0x5b01e8(0x20a)](_0x5b01e8(0x232),'<div\x20class=\x27exif_outer\x20popup\x20'+popC+_0x5b01e8(0x1c8)+_0xbe29c8+_0x5b01e8(0x208)+popS+'\x27><tbody><tr><td\x20id=\x27'+_0x10cda9+_0x5b01e8(0x24e)+_0xb8d28a+'\x27></td></tr></tboby></table></div>');}else{if(popS=='s1')_0xf60688[_0x5b01e8(0x1f8)][_0x5b01e8(0x20a)](_0x5b01e8(0x232),'<div\x20class=\x27exif_outer\x20popup\x20'+popC+_0x5b01e8(0x1e8)+_0xbe29c8+_0x5b01e8(0x22e)+popS+_0x5b01e8(0x1d2)+hExif+_0x5b01e8(0x204)+_0x10cda9+'\x27></td><td\x20id=\x27'+_0xb8d28a+_0x5b01e8(0x225));else popS=='s2'&&_0xf60688['parentNode']['insertAdjacentHTML']('afterbegin','<div\x20class=\x27exif_outer\x20popup\x20'+popC+_0x5b01e8(0x1e8)+_0xbe29c8+'\x27class=\x27'+popS+_0x5b01e8(0x1cb)+_0x10cda9+_0x5b01e8(0x24e)+_0xb8d28a+_0x5b01e8(0x225));}_0x29f658[_0x5b01e8(0x1c9)](function(_0x38f236){const _0xd891dc=_0x5b01e8;_0x47f78e==_0xd891dc(0x203)&&elists[_0x38f236][_0xd891dc(0x1cf)]==elists[0x6][_0xd891dc(0x1cf)]&&(icon==_0xd891dc(0x217)?_0x19ba51=_0x19ba51+_0xd891dc(0x22a)+slists[0x1]['icon']+'</p>':_0x19ba51=_0x19ba51+_0xd891dc(0x22a)+slists[0x1][_0xd891dc(0x1d8)]+_0xd891dc(0x210)),icon=='yes'?_0x19ba51=_0x19ba51+_0xd891dc(0x22a)+tlists[_0x38f236]['icon']+_0xd891dc(0x210):_0x19ba51=_0x19ba51+_0xd891dc(0x22a)+tlists[_0x38f236][_0xd891dc(0x237)]+_0xd891dc(0x210);});_0x47f78e==_0x5b01e8(0x1c5)&&(icon==_0x5b01e8(0x217)?_0x19ba51=_0x19ba51[_0x5b01e8(0x1f9)](tlists[0x4][_0x5b01e8(0x257)],slists[0x0][_0x5b01e8(0x257)]):_0x19ba51=_0x19ba51[_0x5b01e8(0x1f9)](tlists[0x4][_0x5b01e8(0x237)],slists[0x0][_0x5b01e8(0x1d8)]));_0x19ba51[_0x5b01e8(0x21b)](_0x5b01e8(0x236))!=-0x1&&(_0x19ba51=_0x19ba51[_0x5b01e8(0x1f9)](_0x5b01e8(0x236),''));document[_0x5b01e8(0x248)](_0x10cda9)[_0x5b01e8(0x251)]=_0x19ba51,_0x29f658[_0x5b01e8(0x1c9)](function(_0x5022e7){const _0x45908a=_0x5b01e8;if(_0x5022e7==0x0)_0x530a2f=_0x45908a(0x22a)+model+_0x45908a(0x210);else{if(_0x5022e7==0x1)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+lens+'</p>';else{if(_0x5022e7==0x2)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+mode+_0x45908a(0x210);else{if(_0x5022e7==0x3)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+meter+'</p>';else{if(_0x5022e7==0x4)_0x47f78e=='film'?_0x530a2f=_0x530a2f+_0x45908a(0x22a)+artist+_0x45908a(0x210):_0x530a2f=_0x530a2f+'<p>'+iso+_0x45908a(0x210);else{if(_0x5022e7==0x5)flength!='-'?_0x530a2f=_0x530a2f+_0x45908a(0x22a)+flength+'mm</p>':_0x530a2f=_0x530a2f+_0x45908a(0x22a)+flength+_0x45908a(0x210),_0x47f78e==_0x45908a(0x203)&&fnum!='-'&&(_0x530a2f=_0x530a2f+'<p>'+_0x811f03+_0x45908a(0x210));else{if(_0x5022e7==0x6)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+fnum+_0x45908a(0x210);else{if(_0x5022e7==0x7)_0x530a2f=_0x530a2f+'<p>'+exp+_0x45908a(0x210);else{if(_0x5022e7==0x8)_0x530a2f=_0x530a2f+'<p>'+expb+'</p>';else{if(_0x5022e7==0x9)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+flash+_0x45908a(0x210);else{if(_0x5022e7==0xa)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+dates+'</p>';else{if(_0x5022e7==0xb)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+soft+'</p>';else{if(_0x5022e7==0xc)_0x530a2f=_0x530a2f+_0x45908a(0x22a)+artist+'</p>';else _0x5022e7==0xd&&(_0x530a2f=_0x530a2f+_0x45908a(0x22a)+copyright+'</p>');}}}}}}}}}}}}_0x530a2f=_0x530a2f['replace'](_0x45908a(0x236),'');});if(_0x530a2f[_0x5b01e8(0x249)]/_0x29f658[_0x5b01e8(0x249)]<0x9){document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x251)]='';if(popS=='s1')document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x251)]=_0x5b01e8(0x233)+_0xbe29c8+_0x5b01e8(0x1d2)+hExif+_0x5b01e8(0x241)+noExif+_0x5b01e8(0x1e9),document['getElementById'](_0xbe29c8)[_0x5b01e8(0x1f4)][_0x5b01e8(0x205)]('s1');else{if(popS=='s2'){document[_0x5b01e8(0x248)](_0xbe29c8)[_0x5b01e8(0x251)]=_0x5b01e8(0x233)+_0xbe29c8+_0x5b01e8(0x1e5)+noExif+_0x5b01e8(0x1e9);;document['getElementById'](_0xbe29c8)['classList']['add']('s2');}}if(popK=='k1')document[_0x5b01e8(0x248)](_0xbe29c8)['classList'][_0x5b01e8(0x205)](_0x5b01e8(0x223));else popK=='k2'&&document[_0x5b01e8(0x248)](_0xbe29c8)['parentNode'][_0x5b01e8(0x1f4)][_0x5b01e8(0x205)](_0x5b01e8(0x1e0));}else document[_0x5b01e8(0x248)](_0xb8d28a)[_0x5b01e8(0x251)]=_0x530a2f;}}}),inum++;});}window[_0x5ded03(0x1d7)](_0x5ded03(0x22d),function(){const _0x44bf35=_0x5ded03;let _0x55ea7c=document[_0x44bf35(0x1d1)](_0x44bf35(0x20b))[_0x44bf35(0x24f)]('id'),_0x599d92=document[_0x44bf35(0x1f1)](_0x44bf35(0x21f));if(_0x55ea7c==_0x44bf35(0x1d9)&&_0x599d92[_0x44bf35(0x249)]>0x0){setTimeout(()=>{getExif();},0xa),setTimeout(console[_0x44bf35(0x1e3)][_0x44bf35(0x247)](console,'\x20'),0x64),setTimeout(console[_0x44bf35(0x1e3)]['bind'](console,'%cEXIF\x20Viewer\x20for\x20TISTORY',_0x44bf35(0x211)),0x6e),setTimeout(console[_0x44bf35(0x1e3)][_0x44bf35(0x247)](console,_0x44bf35(0x246),_0x44bf35(0x240)),0x73),setTimeout(console[_0x44bf35(0x1e3)][_0x44bf35(0x247)](console,_0x44bf35(0x239),_0x44bf35(0x23c)),0x78);if(document[_0x44bf35(0x1d1)]('.imageslideblock\x20.selected')!=null){let _0x36897f=document['querySelectorAll']('.imageslideblock');_0x36897f=_0x36897f[_0x44bf35(0x249)]*0x3e8,setTimeout(()=>{const _0x1e01e4=_0x44bf35;let _0x2cfeaa=document['querySelectorAll'](_0x1e01e4(0x216));if(_0x2cfeaa[_0x1e01e4(0x249)]==0x1){if(vMode==_0x1e01e4(0x209))document['querySelector'](_0x1e01e4(0x1e1))[_0x1e01e4(0x1f4)][_0x1e01e4(0x205)]('reveal');else vMode=='popup'&&document[_0x1e01e4(0x1d1)]('.imageslideblock\x20.mark\x20.exif_outer')['parentNode'][_0x1e01e4(0x1f4)]['add'](_0x1e01e4(0x21e));}else _0x2cfeaa[_0x1e01e4(0x249)]>0x1&&document[_0x1e01e4(0x1f1)](_0x1e01e4(0x244))[_0x1e01e4(0x1c9)](function(_0x2b583f){const _0x49ddc1=_0x1e01e4;var _0x9daf17=_0x2b583f['parentNode'][_0x49ddc1(0x1f8)]['id'];_0x9daf17='#'+_0x9daf17;var _0x5be300=_0x2b583f['id'];_0x5be300=_0x5be300[_0x49ddc1(0x1f9)]('f',''),_0x5be300=_0x49ddc1(0x242)+_0x5be300;var _0x25067e=_0x9daf17+_0x5be300;if(vMode==_0x49ddc1(0x209))document['querySelector'](_0x25067e)[_0x49ddc1(0x1f4)]['add'](_0x49ddc1(0x224));else vMode==_0x49ddc1(0x213)&&document[_0x49ddc1(0x1d1)](_0x25067e)[_0x49ddc1(0x1f8)]['classList'][_0x49ddc1(0x205)](_0x49ddc1(0x21e));});document[_0x1e01e4(0x1f1)]('.imageslideblock\x20.image-container\x20button')[_0x1e01e4(0x1c9)](function(_0x26c61c){const _0x68762=_0x1e01e4;_0x26c61c[_0x68762(0x1d7)](_0x68762(0x214),function(){const _0x1eb07e=_0x68762;var _0x2be5a3=_0x26c61c[_0x1eb07e(0x1f8)]['parentNode']['querySelector'](_0x1eb07e(0x1e6))['id'];_0x2be5a3=_0x2be5a3[_0x1eb07e(0x1f9)]('f',''),_0x2be5a3=_0x1eb07e(0x1e2)+_0x2be5a3;if(vMode==_0x1eb07e(0x209))_0x26c61c[_0x1eb07e(0x1f8)][_0x1eb07e(0x1f8)][_0x1eb07e(0x1d1)]('.exif_outer.slide.reveal')[_0x1eb07e(0x1f4)][_0x1eb07e(0x24b)]('reveal');else vMode==_0x1eb07e(0x213)&&(document[_0x1eb07e(0x1f1)](_0x1eb07e(0x216))>0x1&&_0x26c61c[_0x1eb07e(0x1f8)][_0x1eb07e(0x1f8)][_0x1eb07e(0x1d1)](_0x1eb07e(0x24d))[_0x1eb07e(0x1f4)][_0x1eb07e(0x24b)](_0x1eb07e(0x21e)));if(vMode==_0x1eb07e(0x209))document[_0x1eb07e(0x1d1)](_0x2be5a3)['classList']['add'](_0x1eb07e(0x224));else vMode==_0x1eb07e(0x213)&&(document[_0x1eb07e(0x1f1)](_0x1eb07e(0x216))>0x1&&document['querySelector'](_0x2be5a3)[_0x1eb07e(0x1f8)][_0x1eb07e(0x1f4)][_0x1eb07e(0x205)](_0x1eb07e(0x21e)));});});},_0x36897f);}setTimeout(()=>{const _0x16b2b5=_0x44bf35;if(vMode==_0x16b2b5(0x209)){let _0x50118e=document['querySelectorAll'](_0x16b2b5(0x235));return _0x50118e['forEach'](function(_0x5eb84c){const _0x22009d=_0x16b2b5;_0x5eb84c[_0x22009d(0x1f4)][_0x22009d(0x205)](_0x22009d(0x209));}),![];}else{if(vMode==_0x16b2b5(0x213)){let _0x903721=document[_0x16b2b5(0x1d1)]('body')[_0x16b2b5(0x24f)]('id'),_0x4420cb=document[_0x16b2b5(0x1f1)]('.imageblock');if(_0x903721==_0x16b2b5(0x1d9)&&_0x4420cb[_0x16b2b5(0x249)]>0x0){let _0x385093=document[_0x16b2b5(0x1f1)](_0x16b2b5(0x1ce));_0x385093[_0x16b2b5(0x1c9)](function(_0x18b0de){const _0x802f17=_0x16b2b5;_0x18b0de[_0x802f17(0x1d7)](_0x802f17(0x227),function(){const _0x532d89=_0x802f17;let _0x43f8e0=_0x18b0de['previousSibling'];_0x43f8e0[_0x532d89(0x1f4)]['add']('reveal');}),_0x18b0de[_0x802f17(0x1d7)]('mouseleave',function(){const _0x3da122=_0x802f17;let _0x4de0b2=_0x18b0de[_0x3da122(0x1ff)];_0x4de0b2['classList'][_0x3da122(0x24b)]('reveal');});});let _0x4d74f9=document['querySelectorAll'](_0x16b2b5(0x1ef));_0x4d74f9[_0x16b2b5(0x1c9)](function(_0x343853){const _0x56e065=_0x16b2b5;_0x343853['addEventListener'](_0x56e065(0x227),function(){const _0x52bc18=_0x56e065;let _0x3c28c3=_0x343853['id'];_0x3c28c3=_0x52bc18(0x1e2)+_0x3c28c3,document[_0x52bc18(0x1d1)](_0x3c28c3)[_0x52bc18(0x1f8)]['classList']['add'](_0x52bc18(0x224)),document[_0x52bc18(0x1d1)](_0x52bc18(0x1cc))[_0x52bc18(0x220)][_0x52bc18(0x221)]=0x1;}),_0x343853[_0x56e065(0x1d7)](_0x56e065(0x1e4),function(){const _0x369f1c=_0x56e065;let _0x29fecb=_0x343853['id'];_0x29fecb='#t0'+_0x29fecb,document[_0x369f1c(0x1d1)](_0x29fecb)[_0x369f1c(0x1f8)][_0x369f1c(0x1f4)][_0x369f1c(0x24b)]('reveal'),document[_0x369f1c(0x1d1)]('.imageslideblock\x20button.btn')[_0x369f1c(0x220)][_0x369f1c(0x221)]=0.5;});});}}}},0x5dc);}});function _0xd3c6(_0x5a0168,_0x218887){const _0x39d56a=_0x39d5();return _0xd3c6=function(_0xd3c613,_0x59a194){_0xd3c613=_0xd3c613-0x1c4;let _0x502d35=_0x39d56a[_0xd3c613];return _0x502d35;},_0xd3c6(_0x5a0168,_0x218887);}function _0x39d5(){const _0x4fa341=['\x20blind\x27>','60636oddhOf','135\x20Equiv\x20=\x20','kill\x20','previousSibling','MeteringMode','denominator','replaceAll','crop','</span></td></tr><tr><td\x20id=\x27','add','tagName','match','\x27class=\x27','basic','insertAdjacentHTML','body','<div\x20id=\x27','img','getTag','<span>\x20|\x20</span>','</p>','font-family:\x27arial\x27;\x20color:crimson;\x20font-size:16px','nextSibling','popup','click','DIV','.imageslideblock','yes','capP','Center','div.noExif\x20img','indexOf','NaN','blinded','here','.imageblock,\x20imageslideblock','style','opacity','878427pDQOiR','non','reveal','\x27></td></tr></tboby></table></div>','push','mouseenter','.imageblock\x20img,\x20.imageslideblock\x20.image-container\x20img','ExposureTime','<p>','</td></tr></tboby></table></div>','noexif','load','\x27\x20class=\x27','780BWcXFB','Not\x20Fire!','Artist','afterbegin','<table\x20id=\x27','capB','.imageblock','undefined','tlist','\x27></div>','%cDesigned\x20by\x20ddamddon','5248768gkToEe','ExposureProgram','font-family:\x27arial\x27;\x20color:#4aa3ff;\x20font-size:18px','\x20slide\x27></div>','.imageblock\x20figcaption,\x20.imageslideblock\x20figcaption','3109525LZXNdl','font-family:\x27arial\x27;\x20font-size:14px','</span></td></tr><tr><td\x20colspan=\x272\x27><p>','\x20#t0','flash\x20fired','.image-container\x20.selected','SPAN','%chttps://ddamddon.tistory.com/11544\x20','bind','getElementById','length','fimg','remove','Flash\x20Fire!','.exif_outer.slide.here','\x27></td><td\x20id=\x27','getAttribute','LensModel','innerHTML','full','\x27><table\x20class=\x27','<div\x20class=\x27exif_outer\x20popup\x20blind\x20','toFixed','2077652pGbGms','icon','div.noExif','film','<div\x20class=\x27exif_outer\x20basic\x20','caption','\x20slide\x27><table\x20id=\x27','forEach','lastChild','\x27><tbody><tr><td\x20id=\x27','.imageslideblock\x20button.btn','afterend','.imageblock\x20img','elist','ISOSpeedRatings','querySelector','\x27><tbody><tr><td\x20colspan=\x272\x27><span>','Macro','Copyright','slide0','\x27><tbody><tr><td\x20colspan=\x272\x27>','addEventListener','slist','tt-body-page','2429JsfBWO','108587ASRCau','FIGURE','Model','18KvqucV','undefined<span>\x20|\x20</span>','kill','.imageslideblock\x20.mark\x20.exif_outer','#t0','log','mouseleave','\x27><tr><td\x20colspan=\x272\x27><p>','.selected','substring','\x27><table\x20id=\x27','</p></td></tr></tbody></table>','\x27\x20class=\x27exif_outer\x20basic\x20','unknown','Flash','getData','numerator','.imageslideblock\x20img','DateTimeOriginal','querySelectorAll','class','slide','classList','\x20.mark','setAttribute','</span></td></tr><tr><td\x20colspan=\x272\x27>','parentNode','replace','toLowerCase'];_0x39d5=function(){return _0x4fa341;};return _0x39d5();}